import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class MaterialCatConfig {
    static LIST: string = "suppliesCat/list"
    static ADD: string = "suppliesCat"
    static DELETE: string = "suppliesCat"
    static EDIT: string = "suppliesCat"
}
class MaterialCatStore extends BaseStore<TagDataType> {
    constructor() {
        super(MaterialCatConfig)
        makeObservable(this, {})
    }
}

export const materialCatStore = new MaterialCatStore();
